# PetscDrawViewPortsCreateRect

Splits a window into smaller view ports. Each processor shares all the viewports. The number of views in the x- and y-directions is specified.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawViewPortsCreateRect(PetscDraw draw,PetscInt nx,PetscInt ny,PetscDrawViewPorts **ports)

Collective on PetscDraw

### Input Parameters

| draw | - the drawing context
| nx | - the number of x divisions
| ny | - the number of y divisions

### Output Parameter

ports -a PetscDrawViewPorts context (C structure)

### See Also

PetscDrawSplitViewPort(), PetscDrawSetViewPort(), PetscDrawViewPortsSet(), PetscDrawViewPortsDestroy()

Level:advanced
Location:src/sys/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages